
      PROGRAM TEMPS2
************************************************************************
* Program to convert temperatures on the Celsius scale to the corres-  *
* ponding temperatures on the Fahrenheit scale. Variables used are:    *
*     CELS   :  Celsius temperature                                    *
*     FAHREN :  Fahrenheit temperature                                 *
*     RESPON :  user response                                          *
*                                                                      *
* Input:  CELS, RESPON                                                 *
* Output: FAHREN                                                       *
************************************************************************

      REAL CELS, FAHREN
      INTEGER RESPON

 10       CONTINUE
         PRINT *, 'ENTER TEMPERATURE IN DEGREES CELSIUS:'
         READ *, CELS
         FAHREN = 1.8 * CELS + 32.0
         PRINT *, 'FAHRENHEIT TEMPERATURE IS', FAHREN
         PRINT *
         PRINT *, 'MORE (0 = NO, 1 = YES)?'
         READ *, RESPON
      IF (RESPON .NE. 0) GO TO 10

      END
